package net.knarcraft.dynmapcitizens.formatting;

import net.knarcraft.knarlib.formatting.TranslatableMessage;

/**
 * An enum describing all translatable messages for sentinels
 */
public enum SentinelTranslatableMessage implements TranslatableMessage {

    /**
     * The format for the basic description of any sentinel
     *
     * <p>Placeholders: {name}, {squad}, {sentinelDetails}</p>
     */
    SENTINEL_DESCRIPTION,

    /**
     * The format for the detailed description of any sentinel
     *
     * <p>Placeholders: {invincible}, {armor}, {health}, {accuracy}, {damage}, {speed}, {allowKnockback}, {range},
     * {reach}, {targets}, {avoids},  {ignores}</p>
     */
    SENTINEL_DETAILS,
    ;

    @Override
    public TranslatableMessage[] getAllMessages() {
        return SentinelTranslatableMessage.values();
    }

}
