package net.knarcraft.dynmapcitizens.handler.trait;

import net.knarcraft.dynmapcitizens.settings.TraitSettings;
import org.jetbrains.annotations.NotNull;

/**
 * A handler which takes care of everything for one citizen trait
 */
public interface CitizensTraitHandler {

    /**
     * Initializes this trait handler
     */
    void initialize();

    /**
     * Gets whether this handler was properly initialized and enabled
     *
     * @return <p>True if this handler was enabled</p>
     */
    boolean isEnabled();

    /**
     * Gets the settings set for this trait
     *
     * @return <p>The settings for this trait</p>
     */
    @NotNull TraitSettings getSettings();

    /**
     * Updates all markers used for this handler
     */
    void updateMarkers();

}
