package net.knarcraft.dynmapcitizens.settings;

import org.bukkit.configuration.file.FileConfiguration;
import org.jetbrains.annotations.NotNull;

/**
 * All settings for the blacksmith trait
 */
public class BlacksmithSettings extends AbstractTraitSettings {

    private boolean displayBlacksmithSettings;

    @Override
    public void load(@NotNull FileConfiguration configuration) {
        super.load(configuration);
        displayBlacksmithSettings = configuration.getBoolean(getTraitConfigRoot() + ".displayBlacksmithSettings", true);
    }

    @Override
    protected @NotNull String getTraitConfigRoot() {
        return "traits.blacksmith";
    }

    /**
     * Gets whether to display information about a blacksmith's settings, such as cool-down, in the marker description
     *
     * @return <p>True if blacksmith settings should be displayed</p>
     */
    public boolean displayBlacksmithSettings() {
        return displayBlacksmithSettings;
    }

}
