package net.knarcraft.dynmapcitizens.settings;

import org.bukkit.configuration.file.FileConfiguration;
import org.jetbrains.annotations.NotNull;

/**
 * All settings for the minstrel trait
 */
public class MinstrelSettings extends AbstractTraitSettings {

    private boolean displayMinstrelSongs;

    @Override
    public void load(@NotNull FileConfiguration configuration) {
        super.load(configuration);
        displayMinstrelSongs = configuration.getBoolean(getTraitConfigRoot() + ".displayMinstrelSongs", true);
    }

    @Override
    protected @NotNull String getTraitConfigRoot() {
        return "traits.minstrel";
    }

    /**
     * Gets whether a minstrel's songs should be displayed in their description
     *
     * @return <p>True if minstrel songs should be displayed</p>
     */
    public boolean displayMinstrelSongs() {
        return displayMinstrelSongs;
    }

}
