package net.knarcraft.dynmapcitizens.settings;

import org.bukkit.configuration.file.FileConfiguration;
import org.jetbrains.annotations.NotNull;

/**
 * All settings for the sentinel trait
 */
public class SentinelSettings extends AbstractTraitSettings {

    private boolean displaySentinelStats;

    @Override
    public void load(@NotNull FileConfiguration configuration) {
        super.load(configuration);
        displaySentinelStats = configuration.getBoolean(getTraitConfigRoot() + ".displaySentinelStats", true);
    }

    @Override
    protected @NotNull String getTraitConfigRoot() {
        return "traits.sentinel";
    }

    /**
     * Gets whether to display information about a sentinel such as health, attack and targets in marker descriptions
     *
     * @return <p>True if sentinel stats should be displayed</p>
     */
    public boolean displaySentinelStats() {
        return displaySentinelStats;
    }

}
